/****
 *
 * Interface do mdulo Alunos
 *
 * Autor:
 *
 * Data de Criao:
 * ltima modificao:
 *
 * Descrio Geral: .
 *
 ****/

#ifndef _Alunos_H_
#define _Alunos_H_

#define MAX_NOME                10
#define CARACTERES_EM_MATRICULA	 3

typedef struct {
           char   *nome;
           char   matricula[CARACTERES_EM_MATRICULA+1];
           double nota1, nota2, nota3;
        } tAluno;

typedef struct no {
           tAluno    aluno;
           struct no *proximo;
        } tNo, *tTurma;

extern unsigned ValidaMatricula(const char *matr);
extern unsigned ValidaNota(double nota);
extern tAluno *LeRegistro(tAluno *umAluno);
extern unsigned ImprimeRegistro(const tAluno *umAluno);
extern unsigned ImprimeTurma(tTurma turma);
extern tTurma EncontraRegistro(tTurma turma, const char *matricula);
extern unsigned Acrescenta(tTurma *ptrTurma, tAluno *umAluno);
extern unsigned Remove(tTurma *ptrTurma, const char *matricula);
extern void LiberaTurma(tTurma *ptrTurma);
extern tTurma LeArquivo(const char *nomeArq);
extern unsigned GravaArquivo(const char *nomeArq, tTurma turma);

#endif