/****
 *
 * Implementao do mdulo Operacoes
 *
 * Autor:
 *
 * Data de Criao:
 * ltima modificao:
 *
 * Descrio Geral: Prov funes para leitura e validao de dados etc.
 *
 ****/

#include <stdio.h>
#include <string.h>
#include "Alunos.h"
#include "Interface.h"
#include "Leitura.h"
#include "Operacoes.h"

/****
 *
 * Funo LeNomeDeArquivo() l o nome de um arquivo de acordo com as
 *		especificaes do programa
 *
 * Argumentos: oNome (saida) - o nome lido
 *
 * Retorno: ponteiro para o nome lido, em caso de sucesso; NULL, caso contrrio
 *
 ****/
static char *LeNomeDeArquivo(char *oNome)
{

}

/****
 *
 * Funo LeMatricula() tenta ler e validar uma matrcula de aluno no meio de
 *		entrada padro
 *
 * Argumentos: matr (sada) - a matrcula lida
 *
 * Retorno: a matrcula lida, se bem sucedida; NULL, caso contrrio
 *
 ****/
static char *LeMatricula(char *matr)
{

}

/****
 *
 * Funo ValidaNomeDeArquivo() verifica se o nome de arquivo satisfaz as
 *		especificaes do programa
 *
 * Argumentos: oNome (entrada) - o nome de arquivo
 *
 * Retorno: 1, se o nome for vlido; 0, caso contrrio
 *
 ****/
unsigned ValidaNomeDeArquivo(const char *oNome)
{

}

/****
 *
 * Funo AcrescentaAluno() acresecenta um aluno na turma
 *
 * Argumentos: turma (saida) - lista representando a turma
 *
 * Retorno: 1, em caso de sucesso; 0, caso contrrio
 *
 ****/
unsigned AcrescentaAluno(tTurma *turma)
{

}

/****
 *
 * Funo RemoveAluno() remove um aluno da turma
 *
 * Argumentos: turma (saida) - lista representando a turma
 *
 * Retorno: 1, em caso de sucesso; 0, caso contrrio
 *
 ****/
unsigned RemoveAluno(tTurma *turma)
{
   char aMatricula[CARACTERES_EM_MATRICULA+1];

   if (!LeMatricula(aMatricula))  return 0;

   if (Remove(turma, aMatricula)) return 1;

   return 0;
}

/****
 *
 * Funo ModificaRegistro() modifica o registro de um aluno
 *
 * Argumentos: Sada: umAluno - ponteiro para onde o registro lido ser armazenado
 *
 * Retorno: ponteiro para umAluno
 *
 ****/
unsigned ModificaRegistro(tTurma turma)
{

}

/****
 *
 * Funo Enumera() apresenta todos os registros da turma
 *
 * Argumentos: turma (entrada) - a turma que ser impressa na tela
 *
 * Retorno: sucesso = 1; fracasso = 0
 *
 ****/
unsigned Enumera(tTurma turma)
{

}

/****
 *
 * Funo SalvaAlteracao() pergunta se o usurio deseja salvar alteraes
 *
 * Argumentos: No tem
 *
 * Retorno: 1, se o usurio responder que deseja salvar as alteraes;
 *				0, caso contrrio
 *
 ****/
unsigned SalvaAlteracao(void)
{
   return 1;
}

/****
 *
 * Funo LeTurma() l e armazena todos os registros de um arquivo
 *
 * Argumentos: oArquivo (entrada e sada) - nome do arquivo aonde sero gravados
 *										    os registros; se for nulo, o nome
 *											ser solicitado
 *
 * Retorno: sucesso = ponteiro para a turma lida no arquivo; fracasso = NULL
 *
 ****/
tTurma LeTurma(char *oArquivo)
{

}

/****
 *
 * Funo GravaTurma () grava os dados de uma turma num arquivo
 *
 * Argumentos: aTurma (entrada) - ponteiro para turma que ser gravada
 *             oArquivo (entrada e sada) - nome do arquivo aonde sero gravados
 *											os registros; se for vazio, o nome
 *											ser solicitado
 *
 * Retorno: sucesso = 1; fracasso = 0
 *
 ****/
unsigned GravaTurma(char *oArquivo, tTurma aTurma)
{

}

/****
 *
 * Funo Saida() Despede-se do usurio
 *
 * Argumentos: Nenhum
 *
 * Retorno: Nada
 *
 ****/
void Saida(void)
{

}

