/****
 *
 * Implementao do mdulo Interface
 *
 * Autor:
 *
 * Data de Criao:
 * ltima modificao:
 *
 * Descrio Geral: Prov funes para leitura e validao de dados etc.
 *
 ****/

#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <conio.h>
#include "Interface.h"
#include "Leitura.h"

#define STRING_OPCOES	"ARMELGS"

/**********************   Funo Local   **********************/

/****
 *
 * Funo ValidaOpcao() tenta validar uma opcao
 *
 * Argumentos: Sada: umAluno - ponteiro para onde o registro lido ser armazenado
 *
 * Retorno: ponteiro para umAluno
 *
 ****/
static unsigned ValidaOpcao(char const *strOpcoes, char umaOpcao)
{

}

/**********************   Funes Globais   **********************/

/****
 *
 * Funo Apresenta() apresenta o programa
 *
 * Argumentos: Nenhum
 * Retorno: Nenhum
 *
 ****/
void Apresenta(void)
{
   printf("\nEste programa mantem um banco de dados de alunos.");
}

/****
 *
 * Funo Despedida() despede-se do usurio
 *
 * Argumentos: Nenhum
 * Retorno: Nenhum
 *
 ****/
void Despedida(void)
{
   printf("\nObrigado por usar meu programa. Digite algo para terminar.");
}

/****
 *
 * Funo LimpaTela() limpa a tela
 *
 * Argumentos: Nenhum
 * Retorno: Nenhum
 *
 ****/
void LimpaTela(void)
{
   clrscr();
}

/****
 *
 * Funo Menu() apresenta o menu
 *
 * Argumentos: Nenhum
 * Retorno: Nenhum
 *
 ****/
void Menu(void)
{
	printf("\n[A]crescentar um aluno na turma");
	printf("\n[R]emover um aluno na turma");
	printf("\n[M]odificar o registro de aluno");
	printf("\n[E]numerar todos os alunos da turma");
	printf("\n[L]er arquivo contendo dados de uma turma");
	printf("\n[G]ravar arquivo contendo dados de uma turma");
	printf("\n[S]air do programa.");
}

/****
 *
 * Funo LeOpcao() l e valida um caracteres representando uma opco no meio de entrada
 *
 * Argumentos: Nenhum
 * Retorno: Se bem sucedida, o caractere lido; 0, caso contrrio.
 *
 ****/
char LeOpcao(void)
{
   int c;

   c =  getchar();
   if (ValidaOpcao(STRING_OPCOES, c))
      return toupper(c);

   return 0;
}

