/****
 *
 * Interface do mdulo Leitura
 *
 * Autor:
 *
 * Data de Criao:
 * ltima modificao:
 *
 * Descrio Geral: Prov uma funo para leitura e validao de dados e
 *					uma funo para limpeza de buffer.
 *
 ****/

#ifndef _Leitura_H_
#define _Leitura_H_

	/* Tipo de ponteiro para funes de validao de strings */
typedef unsigned (*tFuncValidaString)(const char*);

		 /* Aluses das funes (globais) exportadas por este mdulo */

extern unsigned LeValor(double *d, unsigned (*Verifica)(double));
extern char *LeString(char * buffer, unsigned nElementos);
extern char *LeEValidaString(char * buffer, unsigned nElementos, const char* prompt,
                             const char* erro, tFuncValidaString valida);

extern void LimpaBuffer(FILE * arquivoPtr);

#endif
